import { Codicon } from 'vscode/vscode/vs/base/common/codicons';
import { localize } from 'vscode/vscode/vs/nls';
import { registerIcon } from 'vscode/vscode/vs/platform/theme/common/iconRegistry';

const terminalViewIcon = registerIcon('terminal-view-icon', Codicon.terminal, ( localize(9152, 'View icon of the terminal view.')));
const renameTerminalIcon = registerIcon('terminal-rename', Codicon.edit, ( localize(9153, 'Icon for rename in the terminal quick menu.')));
const killTerminalIcon = registerIcon('terminal-kill', Codicon.trash, ( localize(9154, 'Icon for killing a terminal instance.')));
const newTerminalIcon = registerIcon('terminal-new', Codicon.add, ( localize(9155, 'Icon for creating a new terminal instance.')));
const configureTerminalProfileIcon = registerIcon('terminal-configure-profile', Codicon.gear, ( localize(9156, 'Icon for creating a new terminal profile.')));
const terminalDecorationMark = registerIcon('terminal-decoration-mark', Codicon.circleSmallFilled, ( localize(9157, 'Icon for a terminal decoration mark.')));
const terminalDecorationIncomplete = registerIcon('terminal-decoration-incomplete', Codicon.circle, ( localize(9158, 'Icon for a terminal decoration of a command that was incomplete.')));
const terminalDecorationError = registerIcon('terminal-decoration-error', Codicon.errorSmall, ( localize(9159, 'Icon for a terminal decoration of a command that errored.')));
const terminalDecorationSuccess = registerIcon('terminal-decoration-success', Codicon.circleFilled, ( localize(9160, 'Icon for a terminal decoration of a command that was successful.')));
const commandHistoryRemoveIcon = registerIcon('terminal-command-history-remove', Codicon.close, ( localize(9161, 'Icon for removing a terminal command from command history.')));
const commandHistoryOutputIcon = registerIcon('terminal-command-history-output', Codicon.output, ( localize(9162, 'Icon for viewing output of a terminal command.')));
const commandHistoryFuzzySearchIcon = registerIcon('terminal-command-history-fuzzy-search', Codicon.searchFuzzy, ( localize(9163, 'Icon for toggling fuzzy search of command history.')));

export { commandHistoryFuzzySearchIcon, commandHistoryOutputIcon, commandHistoryRemoveIcon, configureTerminalProfileIcon, killTerminalIcon, newTerminalIcon, renameTerminalIcon, terminalDecorationError, terminalDecorationIncomplete, terminalDecorationMark, terminalDecorationSuccess, terminalViewIcon };
