const importedAddons = ( new Map());
class XtermAddonImporter {
    async importAddon(name) {
        let addon = importedAddons.get(name);
        if (!addon) {
            switch (name) {
                case 'clipboard':
                    addon = (await import('@xterm/addon-clipboard').then(module => module.default ?? module)).ClipboardAddon;
                    break;
                case 'image':
                    addon = (await import('@xterm/addon-image').then(module => module.default ?? module)).ImageAddon;
                    break;
                case 'search':
                    addon = (await import('@xterm/addon-search').then(module => module.default ?? module)).SearchAddon;
                    break;
                case 'serialize':
                    addon = (await import('@xterm/addon-serialize').then(module => module.default ?? module)).SerializeAddon;
                    break;
                case 'unicode11':
                    addon = (await import('@xterm/addon-unicode11').then(module => module.default ?? module)).Unicode11Addon;
                    break;
                case 'webgl':
                    addon = (await import('@xterm/addon-webgl').then(module => module.default ?? module)).WebglAddon;
                    break;
            }
            if (!addon) {
                throw ( new Error(`Could not load addon ${name}`));
            }
            importedAddons.set(name, addon);
        }
        return addon;
    }
}

export { XtermAddonImporter };
